<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>DOM Example</title>
    <!-- <script type="text/javascript" src="d3.js"></script> -->
    <script src="https://d3js.org/d3.v7.min.js"></script>
</head>

<body>
    <h1>D3 Learning</h1>

    <!-- <p>D3 allows you to bind arbitrary data to a Document Object Model (DOM)</p>
    <p>D3 allows you to bind arbitrary data to a Document Object Model (DOM)</p> -->

    <button onclick="doStuff()">Click on this text!</button>




    <script type="text/javascript">

        function doStuff() {
            // d3.select("body")
            //     .selectAll("p")
            //     .data([1, 2, 3, 4, 5, 6])
            //     .enter().append("p")
            //     .text(function (d) {
            //         return "I’m number " + d + "!";
            //     });


            var p = d3.select("body")
                .selectAll("p")
                .data([13,24])
                .text(function (d) { return "Hello Riya And Arijith"; });

        }
    </script>



</body>

</html>